Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class HandlerStrategies

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.HandlerStrategies

    public class HandlerStrategies

extends Object

Utility methods for strategies using value handlers.

Since:
  0.4.0
Author:
  Abe White

Constructor Summary
`HandlerStrategies()`

Method Summary
`static void` | `assertJoinable(ValueMapping vm)` Throw the proper exception if the given handler-controlled value represents an unjoinable relation.
`static Object` | `loadDataStore(ValueMapping vm, Result res, Joins joins, Column[] cols)` Load the datastore value from the given result.
`static Object` | `loadObject(ValueMapping vm, OpenJPAStateManager sm, JDBCStore store, JDBCFetchConfiguration fetch, Result res, Joins joins, Column[] cols, boolean objectValueRequiresLoad)` Load the Object value from the given result.
`static Column[]` | `map(ValueMapping vm, String name, ColumnIO io, boolean adapt)` Map the given value.
`static boolean` | `set(ValueMapping vm, Object val, JDBCStore store, Row row, Column[] cols, ColumnIO io, boolean nullNone)` Set the given value into the given row.
`static Object` | `toDataStoreValue(ValueMapping vm, Object val, Column[] cols, JDBCStore store)` Convert the given object to its datastore value(s).
`static void` | `where(ValueMapping vm, Object val, JDBCStore store, Row row, Column[] cols)` Add where conditions to the given row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerStrategies

    public HandlerStrategies()

Method Detail

### map

    public static Column[] map(ValueMapping vm,
                               String name,
                               ColumnIO io,
                               boolean adapt)

  Map the given value.

### set

    public static boolean set(ValueMapping vm,
                              Object val,
                              JDBCStore store,
                              Row row,
                              Column[] cols,
                              ColumnIO io,
                              boolean nullNone)
                       throws SQLException

  Set the given value into the given row. Return false if the given value can not be set, for example, due to null constraints on the columns.

  Throws:
    `SQLException`

### where

    public static void where(ValueMapping vm,
                             Object val,
                             JDBCStore store,
                             Row row,
                             Column[] cols)
                      throws SQLException

  Add where conditions to the given row.

  Throws:
    `SQLException`

### loadObject

    public static Object loadObject(ValueMapping vm,
                                    OpenJPAStateManager sm,
                                    JDBCStore store,
                                    JDBCFetchConfiguration fetch,
                                    Result res,
                                    Joins joins,
                                    Column[] cols,
                                    boolean objectValueRequiresLoad)
                             throws SQLException

  Load the Object value from the given result.

  Throws:
    `SQLException`

### loadDataStore

    public static Object loadDataStore(ValueMapping vm,
                                       Result res,
                                       Joins joins,
                                       Column[] cols)
                                throws SQLException

  Load the datastore value from the given result. This method does not process the loaded value through `ValueHandler.toObjectValue(org.apache.openjpa.jdbc.meta.ValueMapping, java.lang.Object)`.

  Throws:
    `SQLException`

### toDataStoreValue

    public static Object toDataStoreValue(ValueMapping vm,
                                          Object val,
                                          Column[] cols,
                                          JDBCStore store)

  Convert the given object to its datastore value(s). Relation ids are converted to their final values immediately.

### assertJoinable

    public static void assertJoinable(ValueMapping vm)

  Throw the proper exception if the given handler-controlled value represents an unjoinable relation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.